VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4710
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4710
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdReadValues 
      Caption         =   "Read Values"
      Height          =   375
      Left            =   3120
      TabIndex        =   4
      Top             =   480
      Width           =   1215
   End
   Begin VB.TextBox txtValues 
      Height          =   2175
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   3
      Top             =   960
      Width           =   4695
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   480
      TabIndex        =   2
      Text            =   " "
      Top             =   120
      Width           =   3855
   End
   Begin VB.CommandButton cmdWriteValues 
      Caption         =   "Write Values"
      Height          =   375
      Left            =   480
      TabIndex        =   0
      Top             =   480
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "File"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdReadValues_Click()
Dim file_name As String
Dim file_length As Long
Dim fnum As Integer
Dim bytes() As Byte
Dim txt As String
Dim i As Integer

    file_name = txtFile.Text
    file_length = FileLen(file_name)

    fnum = FreeFile
    ReDim bytes(1 To file_length)

    Open file_name For Binary As #fnum
    Get #fnum, 1, bytes
    Close fnum

    ' Display the results.
    For i = 1 To file_length
        txt = txt & Format$(bytes(i)) & vbCrLf
    Next i
    txtValues.Text = txt
End Sub

Private Sub cmdWriteValues_Click()
Dim file_name As String
Dim file_length As Long
Dim fnum As Integer
Dim bytes() As Byte
Dim txt As String
Dim i As Integer
Dim values As Variant
Dim num_values As Integer

    ' Build the values array.
    values = Split(txtValues.Text, vbCrLf)
    For i = 0 To UBound(values)
        If Len(Trim$(values(i))) > 0 Then
            num_values = num_values + 1
            ReDim Preserve bytes(1 To num_values)
            bytes(num_values) = values(i)
        End If
    Next i

    ' Delete any existing file.
    file_name = txtFile.Text
    On Error Resume Next
    Kill file_name
    On Error GoTo 0

    ' Save the file.
    fnum = FreeFile
    Open file_name For Binary As #fnum
    Put #fnum, 1, bytes
    Close fnum

    ' Clear the results.
    txtValues.Text = ""
End Sub

Private Sub Form_Load()
Dim file_name As String
Dim txt As String
Dim i As Integer

    file_name = App.Path
    If Right$(file_name, 1) <> "\" Then file_name = file_name & "\"
    file_name = file_name & "values.dat"
    txtFile.Text = file_name

    For i = 1 To 128
        txt = txt & Format$(i * 2 - 1) & vbCrLf
    Next i
    txtValues.Text = txt
End Sub


Private Sub Form_Resize()
Dim hgt As Single

    hgt = ScaleHeight - txtValues.Top
    If hgt < 120 Then hgt = 120
    txtValues.Move 0, txtValues.Top, _
        ScaleWidth, hgt
End Sub


